PDA

View Full Version : Remove Darathar raid instance requirement


FalseCourage
05-21-2010, 07:26 PM
<p>Please remove the Darathar Raid Instance requirement that all members of your group must have completed prismatic v1.0 in the event that no one is on that particular step.</p><p>Thanks!</p>